use rand::Rng;

pub fn main () {
	let wordlist = include_str! ("eff_short_wordlist_1.txt");
	let words: Vec <_> = wordlist.split ('\n').take (1253).collect ();
	
	assert_eq! (words.len (), 1253);
	assert_eq! (words [0], "acid");
	assert_eq! (words [600], "large");
	assert_eq! (words [1252], "zoom");
	
	let mut rng = rand::thread_rng ();
	
	let random_words: Vec <&str> = (0..8)
	.map (|_| {
		words [rng.gen_range (0..words.len ())]
	})
	.collect ();
	
	let passphrase = random_words.join (" ");
	
	println! ("{}", passphrase);
}
